Skip to main content
`Ctrl`+`K`

# VecDuplicateEmpty

Creates a new vector of the same type as an existing vector, but without internal array.

## Synopsis

    #include "slepcvec.h"
    PetscErrorCode VecDuplicateEmpty(Vec v,Vec *newv)

Collective

## Input Parameter

- v - a vector to mimic

## Output Parameter

- newv - location to put new vector

## Note

This is similar to `VecDuplicate()`, but the new vector does not have an internal array, so the intended usage is with `VecPlaceArray()`.

## See Also

`VecDuplicate()`, `MatCreateVecsEmpty()`

## Level

developer

## Location

src/sys/vec/vecutil.c

Index of all Sys routines Table of Contents for all manual pages Index of all manual pages